Bug 1121885 - [abrt] calibre: news.py:1155:build_index:ValueError: No articles found, aborting
Summary: [abrt] calibre: news.py:1155:build_index:ValueError: No articles found, aborting
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:701959bd7b4835b083efa41f711...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 06:36 UTC by Jose Luis
Modified: 2015-06-30 01:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:05:52 UTC


Attachments (Terms of Use)
File: backtrace (1.07 KB, text/plain)
2014-07-22 06:36 UTC, Jose Luis
no flags Details
File: environ (3.07 KB, text/plain)
2014-07-22 06:36 UTC, Jose Luis
no flags Details

Description Jose Luis 2014-07-22 06:36:47 UTC
Version-Release number of selected component:
calibre-1.39.0-2.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
news.py:1155:build_index:ValueError: No articles found, aborting

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 194, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1040, in run
    accelerators, tdir)
  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 241, in __call__
    log, accelerators)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/recipe_input.py", line 116, in convert
    ro.download()
  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 982, in download
    res = self.build_index()
  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 1155, in build_index
    raise ValueError('No articles found, aborting')
ValueError: No articles found, aborting

Local variables in innermost frame:
feeds: []
self: <ElPaisBabelia object at 0x37f95d0>

Comment 1 Jose Luis 2014-07-22 06:36:50 UTC
Created attachment 919810 [details]
File: backtrace

Comment 2 Jose Luis 2014-07-22 06:36:52 UTC
Created attachment 919811 [details]
File: environ

Comment 3 Kevin Fenzi 2014-07-22 10:58:08 UTC
What were you doing when this happened?

Can you duplicate it?

Comment 4 Fedora End Of Life 2015-05-29 12:26:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-30 01:05:52 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.